package com.hfkj.service;

import com.hfkj.entity.BsTradeSettle;

import java.util.List;
import java.util.Map;

/**
 * 交易结算
 * @className: BsTradeSettleService
 * @author: HuRui
 * @date: 2023/8/4
 **/
public interface BsTradeSettleService {

    /**
     * 编辑数据
     * @param tradeSettle
     */
    void editData(BsTradeSettle tradeSettle);

    /**
     * 查询详情
     * @param id
     * @return
     */
    BsTradeSettle getDetailById(Long id);

    /**
     * 查询交易列表
     * @param param
     * @return
     */
    List<BsTradeSettle> getTradeSettleList(Map<String,Object> param);

    /**
     * 交易结算统计
     * @param param
     * @return
     */
    Map<String,Object> getTradeSettleCount(Map<String, Object> param);

    /**
     * 交易清算统计【结算日】
     * @param param
     * @return
     */
    List<Map<String,Object>> getTradeSettleDayCount(Map<String, Object> param);
}
